Package org.jCharts.properties

# Class StockChartProperties

java.lang.Object
org.jCharts.properties.ChartTypeProperties
org.jCharts.properties.AxisChartTypeProperties
org.jCharts.properties.StockChartProperties

All Implemented Interfaces:
  `HTMLTestable`

public final class StockChartProperties extends AxisChartTypeProperties

## Field Summary

Fields
Modifier and Type
Field
Description
`private int`
`closeLength`
`private Stroke`
`closeStroke`
`static final Stroke`
`DEFAULT_STROKE`
`private Stroke`
`hiLowStroke`
`private int`
`openLength`
`private Stroke`
`openStroke`

## Constructor Summary

Constructors
Constructor
Description
`StockChartProperties()`
`StockChartProperties(Stroke hiLowStroke, Stroke openStroke, int openPixelLength, Stroke closeStroke, int closePixelLength)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getClosePixelLength()`
`Stroke`
`getCloseStroke()`
`Stroke`
`getHiLowStroke()`
`int`
`getOpenPixelLength()`
`Stroke`
`getOpenStroke()`
`void`
`setClosePixelLength(int pixelLength)`
`void`
`setCloseStroke(Stroke stroke)`
`void`
`setHiLowStroke(Stroke stroke)`
`void`
`setOpenPixelLength(int pixelLength)`
`void`
`setOpenStroke(Stroke stroke)`
`void`
`toHTML(HTMLGenerator htmlGenerator)`
Enables the testing routines to display the contents of this Object.
`void`
`validate(IAxisPlotDataSet iAxisPlotDataSet)`
Validates the properties.

### Methods inherited from class org.jCharts.properties.AxisChartTypeProperties

`addPostRenderEventListener, addPreRenderEventListener, firePostRender, firePreRender`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_STROKE

public static final Stroke DEFAULT_STROKE

### hiLowStroke

private Stroke hiLowStroke

### openStroke

private Stroke openStroke

### openLength

private int openLength

### closeStroke

private Stroke closeStroke

### closeLength

private int closeLength

## Constructor Details

### StockChartProperties

public StockChartProperties()

### StockChartProperties

public StockChartProperties(Stroke hiLowStroke, Stroke openStroke, int openPixelLength, Stroke closeStroke, int closePixelLength)

Parameters:
  `hiLowStroke` -
  `openStroke` -
  `openPixelLength` -
  `closeStroke` -
  `closePixelLength` -

## Method Details

### getHiLowStroke

public Stroke getHiLowStroke()

Returns:
  Stroke

### setHiLowStroke

public void setHiLowStroke(Stroke stroke)

Parameters:
  `stroke` -

### getOpenStroke

public Stroke getOpenStroke()

Returns:
  Stroke

### setOpenStroke

public void setOpenStroke(Stroke stroke)

Parameters:
  `stroke` -

### getOpenPixelLength

public int getOpenPixelLength()

Returns:
  int

### setOpenPixelLength

public void setOpenPixelLength(int pixelLength)

Parameters:
  `pixelLength` -

### getCloseStroke

public Stroke getCloseStroke()

Returns:
  Stroke

### setCloseStroke

public void setCloseStroke(Stroke stroke)

Parameters:
  `stroke` -

### getClosePixelLength

public int getClosePixelLength()

Returns:
  int

### setClosePixelLength

public void setClosePixelLength(int pixelLength)

Parameters:
  `pixelLength` -

### validate

public void validate(IAxisPlotDataSet iAxisPlotDataSet) throws PropertyException
Validates the properties.

Specified by:
  `validate` in class `AxisChartTypeProperties`
Parameters:
  `iAxisPlotDataSet` -
Throws:
  `PropertyException`

### toHTML

public void toHTML(HTMLGenerator htmlGenerator)
Enables the testing routines to display the contents of this Object.

Parameters:
  `htmlGenerator` -